using Edu.Common.Plugin;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 学员状态枚举
    /// </summary>
    public enum GuestStateEnum
    {
        /// <summary>
        ///正常 
        /// </summary>
        [EnumField("正常")]
        Normal = 1,

        /// <summary>
        ///退学 
        /// </summary>
        [EnumField("退学")]
        DropOut =2,

        /// <summary>
        ///退学申请中
        /// </summary>
        [EnumField("退学申请中")]
        DropOutApplyIng = 3,

        /// <summary>
        ///驳回申请
        /// </summary>
        [EnumField("驳回申请")]
        RejectApply =4,

        /// <summary>
        ///停课
        /// </summary>
        [EnumField("停课")]
        StopClasses =5,

        /// <summary>
        /// 停课申请中
        /// </summary>
        [EnumField("停课申请中")]
        StopClassesApplyIng =6,

        /// <summary>
        /// 毕业
        /// </summary>
        [EnumField("毕业")]
        Graduate =7,

        /// <summary>
        /// 转班申请中
        /// </summary>
        [EnumField("转班申请中")]
        TransferClassesApplyIng =8,

        /// <summary>
        /// 分拆申请中
        /// </summary>
        [EnumField("分拆申请中")]
        SplitApplyIng =9,
    }
}
